/**
 * 
 */
package org.jasig.resource.aggr;

import java.io.File;
import java.io.IOException;

import org.jasig.resource.aggr.om.Resources;

/**
 * Interface defines operations for aggregating {@link Resources}.
 * 
 * @author Nicholas Blair, npblair@wisc.edu
 */
public interface ResourcesAggregator {

	/**
	 * @see #aggregate(File, File, File)
	 */
	public void aggregate(File resourcesXml, File outputBaseDirectory) throws IOException, AggregationException;
	
	/**
     * @param resourcesXml The source resources file
     * @param outputBaseDirectory The file to write the output to
     * @param sharedJavaScriptDirectory Optional settings of a location to write all aggregated JavaScript to
     */
    public void aggregate(File resourcesXml, File outputBaseDirectory, File sharedJavaScriptDirectory) throws IOException, AggregationException;
}
